<?php
function createChannel($server, $name, $parent, $options) {
    $id = $server->channelCreate(array(
        'channel_name' => $name,
        'channel_flag_semi_permanent' => TRUE,
        'cpid' => $parent->getId()
    ));
    if($options['inherit_icons']) {
        $icon = $parent->getProperty('channel_icon_id');

        // check if parent channel actually has an icon
        if($icon !== 0) {
            $server->channelPermAssign($id, "i_icon_id", $icon);
        }
    }
}

function catchExceptions($name, $excpetions) {
    foreach($excpetions as $exception) {
        if($name == $exception) {
            return true;
        }
    }
    return false;
}
